
_EEprom_readP:

;USB-Test.mbas,194 :: 		dim i as byte
;USB-Test.mbas,196 :: 		for i = 0 to size -1
	CLRF        EEprom_readP_i+0 
L__EEprom_readP1:
	DECF        FARG_EEprom_readP_size+0, 0 
	MOVWF       FLOC__EEprom_readP+0 
	MOVF        EEprom_readP_i+0, 0 
	SUBWF       FLOC__EEprom_readP+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__EEprom_readP5
;USB-Test.mbas,197 :: 		bytePointer^ = EEprom_read(EEpromAddress+i)
	MOVF        EEprom_readP_i+0, 0 
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	MOVF        FARG_EEprom_readP_EEpromAddress+0, 0 
	ADDWF       FARG_Eeprom_Read_address+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FARG_Eeprom_Read_address+1, 1 
	CALL        _Eeprom_Read+0, 0
	MOVFF       FARG_EEprom_readP_bytePointer+0, FSR1L
	MOVFF       FARG_EEprom_readP_bytePointer+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;USB-Test.mbas,198 :: 		inc(bytePointer)
	INFSNZ      FARG_EEprom_readP_bytePointer+0, 1 
	INCF        FARG_EEprom_readP_bytePointer+1, 1 
;USB-Test.mbas,199 :: 		next i
	MOVF        EEprom_readP_i+0, 0 
	XORWF       FLOC__EEprom_readP+0, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L__EEprom_readP5
	INCF        EEprom_readP_i+0, 1 
	GOTO        L__EEprom_readP1
L__EEprom_readP5:
;USB-Test.mbas,201 :: 		end sub
	RETURN      0
; end of _EEprom_readP

_EEprom_writeP:

;USB-Test.mbas,206 :: 		dim i as byte
;USB-Test.mbas,208 :: 		for i = 0 to size -1
	CLRF        EEprom_writeP_i+0 
L__EEprom_writeP7:
	DECF        FARG_EEprom_writeP_size+0, 0 
	MOVWF       FLOC__EEprom_writeP+0 
	MOVF        EEprom_writeP_i+0, 0 
	SUBWF       FLOC__EEprom_writeP+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__EEprom_writeP11
;USB-Test.mbas,209 :: 		EEprom_write(EEpromAddress+i,bytePointer^)
	MOVF        EEprom_writeP_i+0, 0 
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVF        FARG_EEprom_writeP_EEpromAddress+0, 0 
	ADDWF       FARG_Eeprom_Write_address+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FARG_Eeprom_Write_address+1, 1 
	MOVFF       FARG_EEprom_writeP_bytePointer+0, FSR0L
	MOVFF       FARG_EEprom_writeP_bytePointer+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;USB-Test.mbas,210 :: 		inc(bytePointer)
	INFSNZ      FARG_EEprom_writeP_bytePointer+0, 1 
	INCF        FARG_EEprom_writeP_bytePointer+1, 1 
;USB-Test.mbas,211 :: 		next i
	MOVF        EEprom_writeP_i+0, 0 
	XORWF       FLOC__EEprom_writeP+0, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L__EEprom_writeP11
	INCF        EEprom_writeP_i+0, 1 
	GOTO        L__EEprom_writeP7
L__EEprom_writeP11:
;USB-Test.mbas,213 :: 		end sub
	RETURN      0
; end of _EEprom_writeP

_ADC_Select:

;USB-Test.mbas,219 :: 		sub procedure ADC_Select(dim channel as byte)
;USB-Test.mbas,222 :: 		case 3
	MOVF        FARG_ADC_Select_channel+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__ADC_Select16
;USB-Test.mbas,224 :: 		TRISA.4 = PORT_INPUT
	BSF         TRISA+0, 4 
;USB-Test.mbas,225 :: 		ANSEL.ANS3 = 1
	BSF         ANSEL+0, 3 
;USB-Test.mbas,226 :: 		ADCON0 = %001100
	MOVLW       12
	MOVWF       ADCON0+0 
	GOTO        L__ADC_Select13
L__ADC_Select16:
;USB-Test.mbas,227 :: 		case 4
	MOVF        FARG_ADC_Select_channel+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__ADC_Select19
;USB-Test.mbas,229 :: 		TRISC.0 = PORT_INPUT
	BSF         TRISC+0, 0 
;USB-Test.mbas,230 :: 		ANSEL.ANS4 = 1
	BSF         ANSEL+0, 4 
;USB-Test.mbas,231 :: 		ADCON0 = %010000
	MOVLW       16
	MOVWF       ADCON0+0 
	GOTO        L__ADC_Select13
L__ADC_Select19:
;USB-Test.mbas,232 :: 		case 5
	MOVF        FARG_ADC_Select_channel+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__ADC_Select22
;USB-Test.mbas,234 :: 		TRISC.1 = PORT_INPUT
	BSF         TRISC+0, 1 
;USB-Test.mbas,235 :: 		ANSEL.ANS5 = 1
	BSF         ANSEL+0, 5 
;USB-Test.mbas,236 :: 		ADCON0 = %010100
	MOVLW       20
	MOVWF       ADCON0+0 
	GOTO        L__ADC_Select13
L__ADC_Select22:
;USB-Test.mbas,237 :: 		case 6
	MOVF        FARG_ADC_Select_channel+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L__ADC_Select25
;USB-Test.mbas,239 :: 		TRISC.2 = PORT_INPUT
	BSF         TRISC+0, 2 
;USB-Test.mbas,240 :: 		ANSEL.ANS6 = 1
	BSF         ANSEL+0, 6 
;USB-Test.mbas,241 :: 		ADCON0 = %011000
	MOVLW       24
	MOVWF       ADCON0+0 
	GOTO        L__ADC_Select13
L__ADC_Select25:
;USB-Test.mbas,242 :: 		case 7
	MOVF        FARG_ADC_Select_channel+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L__ADC_Select28
;USB-Test.mbas,244 :: 		TRISC.3 = PORT_INPUT
	BSF         TRISC+0, 3 
;USB-Test.mbas,245 :: 		ANSEL.ANS7 = 1
	BSF         ANSEL+0, 7 
;USB-Test.mbas,246 :: 		ADCON0 = %011100
	MOVLW       28
	MOVWF       ADCON0+0 
	GOTO        L__ADC_Select13
L__ADC_Select28:
;USB-Test.mbas,247 :: 		case 8
	MOVF        FARG_ADC_Select_channel+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L__ADC_Select31
;USB-Test.mbas,249 :: 		TRISC.6 = PORT_INPUT
	BSF         TRISC+0, 6 
;USB-Test.mbas,250 :: 		ANSELH.ANS8 = 1
	BSF         ANSELH+0, 0 
;USB-Test.mbas,251 :: 		ADCON0 = %100000
	MOVLW       32
	MOVWF       ADCON0+0 
	GOTO        L__ADC_Select13
L__ADC_Select31:
;USB-Test.mbas,252 :: 		case 9
	MOVF        FARG_ADC_Select_channel+0, 0 
	XORLW       9
	BTFSS       STATUS+0, 2 
	GOTO        L__ADC_Select34
;USB-Test.mbas,254 :: 		TRISC.7 = PORT_INPUT
	BSF         TRISC+0, 7 
;USB-Test.mbas,255 :: 		ANSELH.ANS9 = 1
	BSF         ANSELH+0, 1 
;USB-Test.mbas,256 :: 		ADCON0 = %100100
	MOVLW       36
	MOVWF       ADCON0+0 
	GOTO        L__ADC_Select13
L__ADC_Select34:
;USB-Test.mbas,257 :: 		case 10
	MOVF        FARG_ADC_Select_channel+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L__ADC_Select37
;USB-Test.mbas,259 :: 		TRISB.4 = PORT_INPUT
	BSF         TRISB+0, 4 
;USB-Test.mbas,260 :: 		ANSELH.ANS10 = 1
	BSF         ANSELH+0, 2 
;USB-Test.mbas,261 :: 		ADCON0 = %101000
	MOVLW       40
	MOVWF       ADCON0+0 
	GOTO        L__ADC_Select13
L__ADC_Select37:
;USB-Test.mbas,262 :: 		case 11
	MOVF        FARG_ADC_Select_channel+0, 0 
	XORLW       11
	BTFSS       STATUS+0, 2 
	GOTO        L__ADC_Select40
;USB-Test.mbas,264 :: 		TRISB.5 = PORT_INPUT
	BSF         TRISB+0, 5 
;USB-Test.mbas,265 :: 		ANSELH.ANS11 = 1
	BSF         ANSELH+0, 3 
;USB-Test.mbas,266 :: 		ADCON0 = %101100
	MOVLW       44
	MOVWF       ADCON0+0 
	GOTO        L__ADC_Select13
L__ADC_Select40:
L__ADC_Select13:
;USB-Test.mbas,270 :: 		ADCON2.ADFM = 1
	BSF         ADCON2+0, 7 
;USB-Test.mbas,272 :: 		end sub
	RETURN      0
; end of _ADC_Select

_ADC_Off:

;USB-Test.mbas,274 :: 		sub procedure ADC_Off()
;USB-Test.mbas,277 :: 		ADCON0.ADON = 0
	BCF         ADCON0+0, 0 
;USB-Test.mbas,280 :: 		ANSEL = 0x00 ' SăfW^
	CLRF        ANSEL+0 
;USB-Test.mbas,281 :: 		ANSELH = 0x00 ' SăfW^
	CLRF        ANSELH+0 
;USB-Test.mbas,283 :: 		end sub
	RETURN      0
; end of _ADC_Off

_ADC_Read:

;USB-Test.mbas,287 :: 		sub function ADC_Read(dim channel as byte) as word
;USB-Test.mbas,290 :: 		ADC_Select(channel)
	MOVF        FARG_ADC_Read_channel+0, 0 
	MOVWF       FARG_ADC_Select_channel+0 
	CALL        _ADC_Select+0, 0
;USB-Test.mbas,293 :: 		ADCON0.ADON = 1
	BSF         ADCON0+0, 0 
;USB-Test.mbas,296 :: 		Delay_us(22)
	MOVLW       87
	MOVWF       R13, 0
L__ADC_Read43:
	DECFSZ      R13, 1, 1
	BRA         L__ADC_Read43
	NOP
	NOP
;USB-Test.mbas,299 :: 		ADCON0.GO = 1
	BSF         ADCON0+0, 1 
;USB-Test.mbas,302 :: 		while(ADCON0.DONE = 1)
L__ADC_Read45:
	BTFSS       ADCON0+0, 1 
	GOTO        L__ADC_Read46
;USB-Test.mbas,303 :: 		nop
	NOP
;USB-Test.mbas,304 :: 		wend
	GOTO        L__ADC_Read45
L__ADC_Read46:
;USB-Test.mbas,307 :: 		ADCON0.ADON = 0
	BCF         ADCON0+0, 0 
;USB-Test.mbas,310 :: 		ANSEL = 0x00 ' SăfW^
	CLRF        ANSEL+0 
;USB-Test.mbas,311 :: 		ANSELH = 0x00 ' SăfW^
	CLRF        ANSELH+0 
;USB-Test.mbas,314 :: 		ADC_Read = ADRESL + ADRESH * 256
	MOVF        ADRESH+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        ADRESL+0, 0 
	ADDWF       R0, 0 
	MOVWF       ADC_Read_local_result+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       ADC_Read_local_result+1 
;USB-Test.mbas,316 :: 		end sub
	MOVF        ADC_Read_local_result+0, 0 
	MOVWF       R0 
	MOVF        ADC_Read_local_result+1, 0 
	MOVWF       R1 
	RETURN      0
; end of _ADC_Read

_Interrupt:

;USB-Test.mbas,323 :: 		dim aaa as word
;USB-Test.mbas,326 :: 		if INTCON.TMR0IF = 1 then
	BTFSS       INTCON+0, 2 
	GOTO        L__Interrupt51
;USB-Test.mbas,329 :: 		TMR0H = CONST_TMR0H ' ݂H
	MOVLW       197
	MOVWF       TMR0H+0 
;USB-Test.mbas,330 :: 		TMR0L = CONST_TMR0L
	MOVLW       44
	MOVWF       TMR0L+0 
;USB-Test.mbas,333 :: 		INTCON.TMR0IF = 0
	BCF         INTCON+0, 2 
;USB-Test.mbas,336 :: 		int_sw_port = not(PUSH_SW_PORT) AND inputDigitalMask
	COMF        PORTB+0, 0 
	MOVWF       _int_sw_port+0 
	MOVF        _inputDigitalMask+0, 0 
	ANDWF       _int_sw_port+0, 1 
;USB-Test.mbas,338 :: 		if inputMode = INPUT_MODE_DIGITAL then
	MOVF        _inputMode+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__Interrupt54
;USB-Test.mbas,340 :: 		int_sw_work = int_sw_port
	MOVF        _int_sw_port+0, 0 
	MOVWF       _int_sw_work+0 
	GOTO        L__Interrupt55
;USB-Test.mbas,341 :: 		else
L__Interrupt54:
;USB-Test.mbas,343 :: 		ADCON0.GO = 1
	BSF         ADCON0+0, 1 
;USB-Test.mbas,346 :: 		while(ADCON0.DONE = 1)
L__Interrupt57:
	BTFSS       ADCON0+0, 1 
	GOTO        L__Interrupt58
;USB-Test.mbas,347 :: 		nop
	NOP
;USB-Test.mbas,348 :: 		wend
	GOTO        L__Interrupt57
L__Interrupt58:
;USB-Test.mbas,351 :: 		int_sw_work = (not ADRESH) and inputAnalogMask
	COMF        ADRESH+0, 0 
	MOVWF       _int_sw_work+0 
	MOVF        _inputAnalogMask+0, 0 
	ANDWF       _int_sw_work+0, 1 
;USB-Test.mbas,352 :: 		end if
L__Interrupt55:
;USB-Test.mbas,355 :: 		if int_sw_work <> 0 then
	MOVF        _int_sw_work+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__Interrupt62
;USB-Test.mbas,356 :: 		inc(int_cnt_pushSwitch)
	INCF        _int_cnt_pushSwitch+0, 1 
;USB-Test.mbas,359 :: 		if ((int_sw_work > int_sw_back) and (int_cnt_pushSwitch > inputPushTime)) or
	MOVF        _int_sw_work+0, 0 
	SUBWF       _int_sw_back+0, 0 
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R1 
	MOVF        _int_cnt_pushSwitch+0, 0 
	SUBWF       _inputPushTime+0, 0 
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 0 
	ANDWF       R1, 1 
;USB-Test.mbas,360 :: 		(int_cnt_pushSwitch > inputPushLongTime) then
	MOVF        _int_cnt_pushSwitch+0, 0 
	SUBWF       _inputPushLongTime+0, 0 
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	IORWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__Interrupt65
;USB-Test.mbas,362 :: 		if int_cnt_pushSwitch > inputPushLongTime then
	MOVF        _int_cnt_pushSwitch+0, 0 
	SUBWF       _inputPushLongTime+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__Interrupt68
;USB-Test.mbas,364 :: 		int_cnt_pushSwitch = inputPushTime
	MOVF        _inputPushTime+0, 0 
	MOVWF       _int_cnt_pushSwitch+0 
;USB-Test.mbas,365 :: 		int_sw_long = 1
	BSF         _int_sw_long+0, BitPos(_int_sw_long+0) 
	GOTO        L__Interrupt69
;USB-Test.mbas,366 :: 		else
L__Interrupt68:
;USB-Test.mbas,367 :: 		if int_sw_back <> 0 then
	MOVF        _int_sw_back+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__Interrupt71
;USB-Test.mbas,368 :: 		int_cnt_pushSwitch = 0
	CLRF        _int_cnt_pushSwitch+0 
L__Interrupt71:
;USB-Test.mbas,370 :: 		int_sw_back = int_sw_work
	MOVF        _int_sw_work+0, 0 
	MOVWF       _int_sw_back+0 
;USB-Test.mbas,371 :: 		int_sw_long = 0
	BCF         _int_sw_long+0, BitPos(_int_sw_long+0) 
;USB-Test.mbas,372 :: 		end if
L__Interrupt69:
;USB-Test.mbas,379 :: 		if inputStockCount < INPUT_BUFFER_SIZE -1 then
	MOVLW       15
	SUBWF       _inputStockCount+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__Interrupt74
;USB-Test.mbas,381 :: 		inputS[inputStockPoint].inputValue = int_sw_work
	MOVF        _inputStockPoint+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       3
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       _inputS+0
	ADDWF       R0, 0 
	MOVWF       FSR1L 
	MOVLW       hi_addr(_inputS+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        _int_sw_work+0, 0 
	MOVWF       POSTINC1+0 
;USB-Test.mbas,382 :: 		inputS[inputStockPoint].longCheck = int_sw_long
	MOVF        _inputStockPoint+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       3
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       _inputS+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_inputS+0)
	ADDWFC      R1, 1 
	MOVLW       1
	ADDWF       R0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       0
	BTFSC       _int_sw_long+0, BitPos(_int_sw_long+0) 
	MOVLW       1
	MOVWF       POSTINC1+0 
;USB-Test.mbas,383 :: 		inputS[inputStockPoint].portValue = int_sw_port
	MOVF        _inputStockPoint+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       3
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       _inputS+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_inputS+0)
	ADDWFC      R1, 1 
	MOVLW       2
	ADDWF       R0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        _int_sw_port+0, 0 
	MOVWF       POSTINC1+0 
;USB-Test.mbas,384 :: 		inc(inputStockPoint)
	INCF        _inputStockPoint+0, 1 
;USB-Test.mbas,385 :: 		if inputStockPoint = INPUT_BUFFER_SIZE then
	MOVF        _inputStockPoint+0, 0 
	XORLW       16
	BTFSS       STATUS+0, 2 
	GOTO        L__Interrupt77
;USB-Test.mbas,386 :: 		inputStockPoint = 0
	CLRF        _inputStockPoint+0 
L__Interrupt77:
;USB-Test.mbas,390 :: 		inc(inputStockCount)
	INCF        _inputStockCount+0, 1 
L__Interrupt74:
;USB-Test.mbas,391 :: 		end if
L__Interrupt65:
;USB-Test.mbas,392 :: 		end if
	GOTO        L__Interrupt63
;USB-Test.mbas,394 :: 		else
L__Interrupt62:
;USB-Test.mbas,395 :: 		int_sw_back = 0
	CLRF        _int_sw_back+0 
;USB-Test.mbas,396 :: 		int_cnt_pushSwitch = 0
	CLRF        _int_cnt_pushSwitch+0 
;USB-Test.mbas,397 :: 		end if
L__Interrupt63:
L__Interrupt51:
;USB-Test.mbas,411 :: 		USB_Interrupt_Proc()
	CALL        _USB_Interrupt_Proc+0, 0
;USB-Test.mbas,413 :: 		end sub
L__Interrupt143:
	RETFIE      1
; end of _Interrupt

_init:

;USB-Test.mbas,418 :: 		sub procedure init( )
;USB-Test.mbas,422 :: 		OSCCON.IRCF2 = 1' 8MHzI
	BSF         OSCCON+0, 6 
;USB-Test.mbas,423 :: 		OSCCON.IRCF1 = 1' 8MHzI
	BSF         OSCCON+0, 5 
;USB-Test.mbas,424 :: 		OSCCON.IRCF0 = 1' 8MHzI
	BSF         OSCCON+0, 4 
;USB-Test.mbas,427 :: 		OSCTUNE = 0  ' H꒲l
	CLRF        OSCTUNE+0 
;USB-Test.mbas,464 :: 		#IFDEF PIC18F14K50 THEN
	BCF         ADCON1+0, 3 
;USB-Test.mbas,465 :: 		' t@Xd̐ݒ
	BCF         ADCON1+0, 2 
;USB-Test.mbas,466 :: 		ADCON1.PVCFG1 = 0 ' dt@XVDD 
	BCF         ADCON1+0, 1 
;USB-Test.mbas,467 :: 		ADCON1.PVCFG0 = 0 ' V
	BCF         ADCON1+0, 0 
;USB-Test.mbas,469 :: 		ADCON1.NVCFG0 = 0 ' V
	BCF         ADCON2+0, 7 
;USB-Test.mbas,470 :: 		
	BCF         ADCON2+0, 5 
;USB-Test.mbas,471 :: 		ADCON2.ADFM = 0  ' A/D ϊʃtH[}bg l
	BCF         ADCON2+0, 4 
;USB-Test.mbas,472 :: 		ADCON2.ACQT2 = 0 ' ANCWVԑI 0
	BCF         ADCON2+0, 3 
;USB-Test.mbas,473 :: 		ADCON2.ACQT1 = 0
	BSF         ADCON2+0, 2 
;USB-Test.mbas,474 :: 		ADCON2.ACQT0 = 0
	BSF         ADCON2+0, 1 
;USB-Test.mbas,475 :: 		ADCON2.ADCS2 = 1 ' A/D ϊNbNI p̓IV[^ 600 kHz
	BSF         ADCON2+0, 0 
;USB-Test.mbas,478 :: 		
	CLRF        ANSEL+0 
;USB-Test.mbas,479 :: 		' AiO̓|[g̐ݒ
	CLRF        ANSELH+0 
;USB-Test.mbas,490 :: 		
	CLRF        TRISA+0 
;USB-Test.mbas,492 :: 		' |[gASďo
	CLRF        LATA+0 
;USB-Test.mbas,493 :: 		TRISA = 0
	CLRF        LATB+0 
;USB-Test.mbas,494 :: 		
	CLRF        LATC+0 
;USB-Test.mbas,501 :: 		'INTCON2.RBPU = 1
	BCF         INTCON2+0, 7 
;USB-Test.mbas,503 :: 		#IFDEF PIC18F14K50 THEN
	CLRF        WPUB+0 
;USB-Test.mbas,506 :: 		' PORTB ̑SẴvAbv𖳌ɂ
	BSF         INTCON2+0, 0 
;USB-Test.mbas,510 :: 		INTCON2.RABIP =1
	BSF         TRISB+0, 4 
;USB-Test.mbas,511 :: 		#ENDIF
	BSF         WPUB+0, 4 
;USB-Test.mbas,514 :: 		PUSH_SW_TRIS.PUSH_SW1_BIT = PORT_INPUT
	BSF         TRISB+0, 5 
;USB-Test.mbas,518 :: 		ANALOG_IN_TRIS.ANALOG_IN_BIT = PORT_INPUT
	BSF         INTCON2+0, 2 
;USB-Test.mbas,519 :: 		
	CLRF        TMR0H+0 
;USB-Test.mbas,520 :: 		'---- ^C}[2  -------------------
	CLRF        TMR0L+0 
;USB-Test.mbas,521 :: 		' ^C}[0
	BCF         INTCON+0, 2 
;USB-Test.mbas,522 :: 		INTCON2.TMR0IP = 1 ' ^C}[0 ݏʃx
	BCF         INTCON+0, 5 
;USB-Test.mbas,525 :: 		INTCON.TMR0IF = 0  ' ^C}[0 ݃tONA
	BSF         IPR1+0, 1 
;USB-Test.mbas,526 :: 		INTCON.TMR0IE = 0  ' ^C}[0 ݕs
	BCF         T2CON+0, 2 
;USB-Test.mbas,527 :: 		
	BCF         PIR1+0, 1 
;USB-Test.mbas,528 :: 		' ^C}[2
	BCF         PIE1+0, 1 
;USB-Test.mbas,533 :: 		
	BCF         RCON+0, 7 
;USB-Test.mbas,536 :: 		' 荞ݗD揇ʖ (͕K{炵)
	BSF         INTCON+0, 6 
;USB-Test.mbas,538 :: 		
	CLRF        PIE1+0 
;USB-Test.mbas,539 :: 		' Peripheral ӊ荞݋
	CLRF        PIE2+0 
;USB-Test.mbas,542 :: 		PIE1 = 0
	BSF         INTCON+0, 7 
;USB-Test.mbas,544 :: 		
	RETURN      0
; end of _init

_main:

;USB-Test.mbas,552 :: 		'===============================================================================
;USB-Test.mbas,555 :: 		dim analogValue as word
	CALL        _init+0, 0
;USB-Test.mbas,558 :: 		' PICW[̏CALL
	MOVLW       255
	MOVWF       FARG_Eeprom_Read_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Read_address+1 
	CALL        _Eeprom_Read+0, 0
	MOVF        R0, 0 
	XORLW       170
	BTFSC       STATUS+0, 2 
	GOTO        L__main82
;USB-Test.mbas,561 :: 		' N
	MOVLW       255
	MOVWF       FARG_Eeprom_Write_address+0 
	MOVLW       0
	MOVWF       FARG_Eeprom_Write_address+1 
	MOVLW       170
	MOVWF       FARG_Eeprom_Write_data_+0 
	CALL        _Eeprom_Write+0, 0
;USB-Test.mbas,568 :: 		' [`Eeprom_WriteEeprom_ReadAĎgpꍇ
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       56
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L__main84:
	DECFSZ      R13, 1, 1
	BRA         L__main84
	DECFSZ      R12, 1, 1
	BRA         L__main84
	DECFSZ      R11, 1, 1
	BRA         L__main84
L__main82:
;USB-Test.mbas,572 :: 		delay_ms(20)
	MOVLW       5
	MOVWF       _inputPushTime+0 
;USB-Test.mbas,573 :: 		end if
	MOVLW       100
	MOVWF       _inputPushLongTime+0 
;USB-Test.mbas,576 :: 		inputPushTime = INPUT_SWITCH_TIME
	MOVLW       16
	MOVWF       _inputDigitalMask+0 
;USB-Test.mbas,577 :: 		inputPushLongTime = INPUT_SWITCH_LONG_TIME
	MOVLW       240
	MOVWF       _inputAnalogMask+0 
;USB-Test.mbas,580 :: 		inputDigitalMask = INPUT_DIGITAL_MASK
	MOVLW       _userRD_buffer+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_userRD_buffer+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _userWR_buffer+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;USB-Test.mbas,583 :: 		' vOIF̎sł͑₩ɎsȂƃ^CAEgŕsǐڑƂȂ
L__main86:
;USB-Test.mbas,585 :: 		
	CLRWDT
;USB-Test.mbas,588 :: 		' EIb`hbN^C}Zbg
	CALL        _HID_Read+0, 0
	MOVLW       4
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__main91
;USB-Test.mbas,590 :: 		
	CLRF        512 
;USB-Test.mbas,594 :: 		userWR_buffer[0] = HID_ACCESS_NG
	MOVF        576, 0 
	XORLW       24
	BTFSS       STATUS+0, 2 
	GOTO        L__main96
;USB-Test.mbas,595 :: 		
	MOVLW       1
	MOVWF       514 
;USB-Test.mbas,596 :: 		' PC̃R}h
	MOVLW       30
	MOVWF       515 
;USB-Test.mbas,597 :: 		select case userRD_buffer[0]
	MOVLW       1
	MOVWF       512 
	GOTO        L__main93
L__main96:
;USB-Test.mbas,598 :: 		case HID_MODE_VERSION
	MOVF        576, 0 
	XORLW       20
	BTFSS       STATUS+0, 2 
	GOTO        L__main99
;USB-Test.mbas,600 :: 		userWR_buffer[3] = SYSTEM_MINOR_VERSION
	MOVF        577, 0 
	MOVWF       FARG_EEprom_readP_EEpromAddress+0 
	MOVLW       2
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       _userWR_buffer+0
	ADDWF       R0, 0 
	MOVWF       FARG_EEprom_readP_bytePointer+0 
	MOVLW       hi_addr(_userWR_buffer+0)
	ADDWFC      R1, 0 
	MOVWF       FARG_EEprom_readP_bytePointer+1 
	MOVLW       16
	MOVWF       FARG_EEprom_readP_size+0 
	CALL        _EEprom_readP+0, 0
;USB-Test.mbas,601 :: 		userWR_buffer[0] = HID_ACCESS_OK
	MOVLW       1
	MOVWF       512 
	GOTO        L__main93
L__main99:
;USB-Test.mbas,602 :: 		case HID_MODE_EEPROM_READ
	MOVF        576, 0 
	XORLW       21
	BTFSS       STATUS+0, 2 
	GOTO        L__main102
;USB-Test.mbas,607 :: 		' EEPROMf[^̎M 1ByteP
	MOVLW       1
	MOVWF       512 
	GOTO        L__main93
L__main102:
;USB-Test.mbas,608 :: 		#IFDEF EEPROM_WRITE_PROTECT_ENABLED THEN
	MOVF        576, 0 
	XORLW       25
	BTFSS       STATUS+0, 2 
	GOTO        L__main105
;USB-Test.mbas,610 :: 		EEprom_writeP(userRD_buffer[1],@userRD_buffer[2],1)
	MOVF        _inputMode+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main107
;USB-Test.mbas,611 :: 		#ENDIF
	MOVF        PORTB+0, 0 
	MOVWF       514 
;USB-Test.mbas,612 :: 		userWR_buffer[0] = HID_ACCESS_OK
	CLRF        515 
;USB-Test.mbas,613 :: 		case HID_MODE_PORTB_READ
	MOVLW       1
	MOVWF       512 
L__main107:
;USB-Test.mbas,614 :: 		' PORTB̑M
	GOTO        L__main93
L__main105:
;USB-Test.mbas,615 :: 		if inputMode = INPUT_MODE_OFF then
	MOVF        576, 0 
	XORLW       26
	BTFSS       STATUS+0, 2 
	GOTO        L__main111
;USB-Test.mbas,617 :: 		userWR_buffer[3] = 0
	MOVF        _inputMode+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__main113
;USB-Test.mbas,618 :: 		userWR_buffer[0] = HID_ACCESS_OK
	MOVF        577, 0 
	MOVWF       FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       main_analogValue+0 
	MOVF        R1, 0 
	MOVWF       main_analogValue+1 
;USB-Test.mbas,619 :: 		end if
	MOVLW       main_analogValue+0
	MOVWF       R0 
	MOVLW       hi_addr(main_analogValue+0)
	MOVWF       R1 
;USB-Test.mbas,620 :: 		case HID_MODE_ANALOG_READ
	MOVFF       R0, FSR0L
	MOVFF       R1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       514 
;USB-Test.mbas,621 :: 		' AiOf[^̑M
	MOVLW       1
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
;USB-Test.mbas,622 :: 		if inputMode <> INPUT_MODE_OFF then
	MOVF        POSTINC0+0, 0 
	MOVWF       515 
;USB-Test.mbas,623 :: 		analogValue = ADC_Read(userRD_buffer[1])
	MOVLW       1
	MOVWF       512 
L__main113:
;USB-Test.mbas,624 :: 		bytePointer = @analogValue
	GOTO        L__main93
L__main111:
;USB-Test.mbas,625 :: 		userWR_buffer[2] = bytePointer^
	MOVF        576, 0 
	XORLW       27
	BTFSS       STATUS+0, 2 
	GOTO        L__main117
;USB-Test.mbas,627 :: 		userWR_buffer[3] = bytePointer^
	MOVF        577, 0 
	MOVWF       _inputMode+0 
;USB-Test.mbas,628 :: 		userWR_buffer[0] = HID_ACCESS_OK
	MOVF        577, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__main119
;USB-Test.mbas,630 :: 		case HID_MODE_INPUT_ENABLED
	MOVF        _inputMode+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__main122
;USB-Test.mbas,633 :: 		if inputMode <> INPUT_MODE_OFF then
	MOVF        578, 0 
	MOVWF       FARG_ADC_Select_channel+0 
	CALL        _ADC_Select+0, 0
;USB-Test.mbas,635 :: 		if inputMode = INPUT_MODE_ANALOG then
	BCF         ADCON2+0, 7 
;USB-Test.mbas,637 :: 		' AiOio[Zbg
	BSF         ADCON0+0, 0 
	GOTO        L__main123
;USB-Test.mbas,638 :: 		ADC_Select(userRD_buffer[2])
L__main122:
;USB-Test.mbas,641 :: 		' ADC Lɂ
	CALL        _ADC_Off+0, 0
;USB-Test.mbas,642 :: 		ADCON0.ADON = 1
L__main123:
;USB-Test.mbas,644 :: 		' fW^[h
	CLRF        _int_sw_back+0 
;USB-Test.mbas,645 :: 		' ADC 𖳌
	CLRF        _int_sw_work+0 
;USB-Test.mbas,646 :: 		ADC_Off()
	CLRF        _int_cnt_pushSwitch+0 
;USB-Test.mbas,648 :: 		' ̓XL p[^NA
	CLRF        _inputPoint+0 
;USB-Test.mbas,649 :: 		int_sw_back = 0
	CLRF        _inputStockPoint+0 
;USB-Test.mbas,650 :: 		int_sw_work = 0
	CLRF        _inputStockCount+0 
;USB-Test.mbas,652 :: 		' FIFOp[^NA
	MOVLW       197
	MOVWF       TMR0H+0 
;USB-Test.mbas,653 :: 		inputPoint =0
	MOVLW       44
	MOVWF       TMR0L+0 
;USB-Test.mbas,655 :: 		inputStockCount = 0
	BCF         T0CON+0, 6 
;USB-Test.mbas,656 :: 		' ^C}[0 Zbg
	BCF         T0CON+0, 5 
;USB-Test.mbas,657 :: 		TMR0H = CONST_TMR0H ' ݂H
	BCF         T0CON+0, 4 
;USB-Test.mbas,658 :: 		TMR0L = CONST_TMR0L
	BCF         T0CON+0, 3 
;USB-Test.mbas,659 :: 		' ^C}[0 16Bit / vXP[1:8
	BCF         T0CON+0, 2 
;USB-Test.mbas,660 :: 		T0CON.T08BIT = 0
	BSF         T0CON+0, 1 
;USB-Test.mbas,661 :: 		T0CON.T0CS = 0
	BCF         T0CON+0, 0 
;USB-Test.mbas,663 :: 		T0CON.PSA = 0
	BSF         T0CON+0, 7 
;USB-Test.mbas,665 :: 		T0CON.T0PS1 = 1
	BSF         INTCON+0, 5 
	GOTO        L__main120
;USB-Test.mbas,666 :: 		T0CON.T0PS0 = 0
L__main119:
;USB-Test.mbas,668 :: 		T0CON.TMR0ON = 1
	BCF         T0CON+0, 7 
;USB-Test.mbas,670 :: 		INTCON.TMR0IE = 1
	BCF         INTCON+0, 5 
;USB-Test.mbas,671 :: 		else
	MOVF        _inputMode+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__main125
;USB-Test.mbas,673 :: 		T0CON.TMR0ON = INPUT_MODE_OFF
	CALL        _ADC_Off+0, 0
L__main125:
;USB-Test.mbas,675 :: 		INTCON.TMR0IE = 0
L__main120:
;USB-Test.mbas,676 :: 		if inputMode = 2 then
	MOVLW       1
	MOVWF       512 
	GOTO        L__main93
L__main117:
;USB-Test.mbas,677 :: 		' ADC 𖳌
	MOVF        576, 0 
	XORLW       28
	BTFSS       STATUS+0, 2 
	GOTO        L__main129
;USB-Test.mbas,679 :: 		end if
	MOVF        577, 0 
	MOVWF       _inputPushTime+0 
;USB-Test.mbas,680 :: 		end if
	MOVF        578, 0 
	MOVWF       _inputPushLongTime+0 
;USB-Test.mbas,681 :: 		userWR_buffer[0] = HID_ACCESS_OK
	MOVLW       1
	MOVWF       512 
	GOTO        L__main93
L__main129:
;USB-Test.mbas,682 :: 		case HID_MODE_INPUT_INTERVAL
	MOVF        576, 0 
	XORLW       29
	BTFSS       STATUS+0, 2 
	GOTO        L__main132
;USB-Test.mbas,684 :: 		inputPushTime = userRD_buffer[1]
	MOVF        577, 0 
	MOVWF       _inputDigitalMask+0 
;USB-Test.mbas,685 :: 		inputPushLongTime = userRD_buffer[2]
	MOVF        578, 0 
	MOVWF       _inputAnalogMask+0 
;USB-Test.mbas,686 :: 		userWR_buffer[0] = HID_ACCESS_OK
	MOVLW       1
	MOVWF       512 
	GOTO        L__main93
L__main132:
;USB-Test.mbas,687 :: 		case HID_MODE_INPUT_MASK
	MOVF        576, 0 
	XORLW       30
	BTFSS       STATUS+0, 2 
	GOTO        L__main135
;USB-Test.mbas,689 :: 		inputDigitalMask = userRD_buffer[1]
	MOVF        _inputStockCount+0, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L__main137
;USB-Test.mbas,691 :: 		userWR_buffer[0] = HID_ACCESS_OK
	MOVF        _inputPoint+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       3
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       _inputS+0
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       hi_addr(_inputS+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       514 
;USB-Test.mbas,692 :: 		case HID_MODE_INPUT_READ
	MOVLW       _inputS+0
	ADDWF       R0, 0 
	MOVWF       R2 
	MOVLW       hi_addr(_inputS+0)
	ADDWFC      R1, 0 
	MOVWF       R3 
	MOVLW       1
	ADDWF       R2, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R3, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       515 
;USB-Test.mbas,693 :: 		' ̓XLmF
	MOVLW       _inputS+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_inputS+0)
	ADDWFC      R1, 1 
	MOVLW       2
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       516 
;USB-Test.mbas,694 :: 		if inputStockCount > 0 then
	DECF        _inputStockCount+0, 1 
;USB-Test.mbas,695 :: 		' FIFOobt@̓ǂݍ
	INCF        _inputPoint+0, 1 
;USB-Test.mbas,697 :: 		userWR_buffer[3] = inputS[inputPoint].longCheck
	MOVF        _inputPoint+0, 0 
	XORLW       16
	BTFSS       STATUS+0, 2 
	GOTO        L__main140
;USB-Test.mbas,698 :: 		userWR_buffer[4] = inputS[inputPoint].portValue
	CLRF        _inputPoint+0 
L__main140:
;USB-Test.mbas,699 :: 		dec(inputStockCount)
	GOTO        L__main138
;USB-Test.mbas,700 :: 		inc(inputPoint)
L__main137:
;USB-Test.mbas,701 :: 		' PUSHXCb`mF
	CLRF        514 
;USB-Test.mbas,702 :: 		if inputPoint = INPUT_BUFFER_SIZE then
	CLRF        515 
;USB-Test.mbas,703 :: 		inputPoint = 0
L__main138:
;USB-Test.mbas,704 :: 		end if
	MOVLW       1
	MOVWF       512 
	GOTO        L__main93
L__main135:
L__main93:
;USB-Test.mbas,708 :: 		end if
	MOVLW       _userWR_buffer+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       18
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
L__main91:
;USB-Test.mbas,712 :: 		' HID f[^o
	MOVLW       16
	MOVWF       R12, 0
	MOVLW       148
	MOVWF       R13, 0
L__main142:
	DECFSZ      R13, 1, 1
	BRA         L__main142
	DECFSZ      R12, 1, 1
	BRA         L__main142
	NOP
;USB-Test.mbas,713 :: 		HID_Write(@userWR_buffer, HID_INPUT_REPORT_BYTES)
	GOTO        L__main86
;USB-Test.mbas,716 :: 		' [vԊu polling interval ̐ݒɂ (1msÓH)
	GOTO        $+0
; end of _main
